View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000738aMuleFeature Requestpublic2005-12-19 10:382006-03-21 09:57
Reporterquinox 
Assigned ToKry 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionSVN 
Summary0000738: Set search type to KAD if only KAD is selected as usable networks in settings
DescriptionI run 2 kad-only CVS amule's (on diff. pc's) - and everytime the program restarts the search type is set to ed2k while it already knows I'm only going to connent to kad

Now I'd like to see it set to kad on startup if only the kad network is turned on in the settings.

Thank you :)
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filespatch file icon aMule-CVS-20060105-kadsearch.patch [^] (935 bytes) 2006-01-05 15:23 [Show Content]

- Relationships

-  Notes
(0001699)
RazZziel (developer)
2005-12-19 12:54
edited on: 2005-12-19 12:54

It would be nice too if that selection box remembered last search type used in last session.
If I never use "Local search", it isn't cool to change search type every time I restart aMule.

edited on: 12-19-05 12:54
(0001711)
Kry (manager)
2005-12-23 16:33

That'll never happen raziel, for the simple reason that global search/kad search stresses servers and peers too much. Default should be local, always.
(0001721)
quinox (reporter)
2006-01-05 15:29

I've made a patch myself - I used the latest CVS version (aMule-CVS-20060105.tar.bz2) from http://www.hirnriss.net/?area=cvs [^] . It selects 'local search' if the ED2K network is enabled, and it selects Kad otherwise

(well really it selects the third search method, I'm not sure if I had to use SetStringSelection with "Kad" as parameter, but since the old file used SetSelection to set the search to 'local search' I've used that too)

Hoping you can use it,

Greetings,

Quinox
(0001910)
Kry (manager)
2006-03-21 09:57

Fixed with added sanity.

    // Sanity sanity
    wxASSERT(CastChild( ID_SEARCHTYPE, wxChoice )->GetString(0) == _("Local Search"));
    wxASSERT(CastChild( ID_SEARCHTYPE, wxChoice )->GetString(2) == _("Kad"));

    if (thePrefs::GetNetworkED2K()){
        CastChild( ID_SEARCHTYPE, wxChoice )->SetSelection(0);
    } else {
        CastChild( ID_SEARCHTYPE, wxChoice )->SetSelection(2);
    }

- Issue History
Date Modified Username Field Change
2005-12-19 10:38 quinox New Issue
2005-12-19 12:54 RazZziel Note Added: 0001699
2005-12-19 12:54 RazZziel Note Edited: 0001699
2005-12-20 09:33 Kry Status new => assigned
2005-12-20 09:33 Kry Assigned To => Kry
2005-12-23 16:33 Kry Note Added: 0001711
2006-01-05 15:23 quinox File Added: aMule-CVS-20060105-kadsearch.patch
2006-01-05 15:29 quinox Note Added: 0001721
2006-01-05 20:53 arichy Note Added: 0001722
2006-01-05 20:54 arichy Note Deleted: 0001722
2006-03-21 09:57 Kry Status assigned => resolved
2006-03-21 09:57 Kry Fixed in Version => CVS
2006-03-21 09:57 Kry Resolution open => fixed
2006-03-21 09:57 Kry Note Added: 0001910


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker